es_Padre(terach,abraham).
es_padre(terach,nachor).
es_padre(terach,haran).
es_padre(abraham,isaac).
es_padre(haran,lot).
es_padre(haran,milcah).
es_padre(haran,yiscah).
es_madre(sarah,isaac).
es_hombre(terach).
es_hombre(abraham).
es_hombre(nachor).
es_hombre(haran).
es_hombre(isaac).
es_hombre(lot).
es_mujer(sarah).
es_mujer(milcah).
es_mujer(yiscah).
es_abuelo(X,Z):-es_padre(X,U),es_padre(U,Z),es_hombre(x).
es_abuela(X,Z):-es_padre(X,U),es_padre(U,Z),es_mujer(x).
es_hijo(X,Y):-es_padre(Y,X),es_hombre(Y).
es_mujer(X,Y):-es_padre(Y,X),es_mujer(Y).
es_hermano(X,Z):-es_padre(Y,X),es_padre(Y,Z),es_hombre(X).
es_hermana(X,Z):-es_padre(Y,X),es_padre(Y,Z),es_mujer(X).
es_tio(X,Z):-es_padre(Y,X),es_abuelo(Y,Z),es_hombre(X).
es_tia(X,Z):-es_padre(Y,X),es_abuelo(Y,Z),es_mujer(X).
es_sobrino(X,Y):-es_tio(Y,X),es_hombre(X).
es_sobrina(X,Y):-es_tio(Y,X),es_mujer(X).


